import { PnpmOptions, Dependencies } from '../types';
import { InstalledPackage } from '../install/installMultiple';
import { Graph } from '../fs/graphController';
import { Shrinkwrap } from '../fs/shrinkwrap';
import { CachedPromises } from '../memoize';
export declare type InstalledPackages = {
    [name: string]: InstalledPackage;
};
export declare type InstallContext = {
    installs: InstalledPackages;
    installationSequence: string[];
    fetchLocks: CachedPromises<void>;
    graph: Graph;
    shrinkwrap: Shrinkwrap;
    resolutionLinked: CachedPromises<void>;
    installed: Set<string>;
};
export declare function install(maybeOpts?: PnpmOptions): Promise<void>;
/**
 * Perform installation.
 *
 * @example
 *     install({'lodash': '1.0.0', 'foo': '^2.1.0' }, { silent: true })
 */
export declare function installPkgs(fuzzyDeps: string[] | Dependencies, maybeOpts?: PnpmOptions): Promise<void>;
