"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const path = require("path");
const yamlfs_1 = require("./yamlfs");
const shrinkwrapFilename = 'shrinkwrap.yaml';
function lookupResolution(shrinkwrap, dependency) {
    let item = shrinkwrap[dependency];
    if (item) {
        item = item; // tslint:disable-line
        if (item.tarball != null) {
            return Object.assign({}, item, { type: 'tarball' });
        }
        item = item; // tslint:disable-line
        if (item.repo != null && item.commitId != null) {
            return Object.assign({}, item, { type: 'git-repo' });
        }
        item = item; // tslint:disable-line
        if (item.root != null) {
            return Object.assign({}, item, { type: 'directory' });
        }
    }
    return null;
}
exports.lookupResolution = lookupResolution;
function putResolution(shrinkwrap, dependency, resolution) {
    shrinkwrap[dependency] = Object.assign({}, resolution);
    delete shrinkwrap[dependency].type;
}
exports.putResolution = putResolution;
function read(pkgPath) {
    return __awaiter(this, void 0, void 0, function* () {
        const shrinkwrapPath = path.join(pkgPath, shrinkwrapFilename);
        try {
            return yield yamlfs_1.read(shrinkwrapPath);
        }
        catch (err) {
            if (err.code !== 'ENOENT') {
                throw err;
            }
            return null;
        }
    });
}
exports.read = read;
function save(pkgPath, shrinkwrap) {
    const shrinkwrapPath = path.join(pkgPath, shrinkwrapFilename);
    return yamlfs_1.write(shrinkwrapPath, shrinkwrap);
}
exports.save = save;
//# sourceMappingURL=shrinkwrap.js.map