/// <reference types="node" />
import { IncomingMessage } from 'http';
export declare type RequestParams = {
    auth?: {
        token: string;
    } | {
        username: string;
        password: string;
    };
};
export declare type HttpResponse = {
    body: string;
};
export declare type Got = {
    get: (url: string) => Promise<HttpResponse>;
    getStream: (url: string) => Promise<IncomingMessage>;
    getJSON<T>(url: string): Promise<T>;
};
export declare type NpmRegistryClient = {
    get: Function;
    fetch: Function;
};
declare var _default: (client: NpmRegistryClient, opts: {
    cachePath: string;
    cacheTTL: number;
}) => Got;
export default _default;
