declare var _default: any;
export default _default;
export declare type LifecycleMessage = {
    pkgId: string;
    line: string;
};
export declare type ProgressMessage = {
    pkg: LoggedPkg;
    status: 'resolving' | 'download-queued' | 'downloading' | 'download-start' | 'done' | 'dependencies' | 'error';
    downloadStatus?: DownloadStatus;
};
export declare type InstallCheckMessage = {
    code: string;
    pkgid: string;
};
export declare type Log = {
    name: string;
    level: 'debug' | 'info' | 'warn' | 'error';
};
export declare type ProgressLog = Log & ProgressMessage;
export declare type LifecycleLog = Log & LifecycleMessage;
export declare type InstallCheckLog = Log & InstallCheckMessage;
export declare type LoggedPkg = {
    rawSpec: string;
    name: string;
    version?: string;
};
export declare type DownloadStatus = {
    done: number;
    total: number;
};
