"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const path_1 = require("path");
const getTarballName_1 = require("./getTarballName");
const requireJson_1 = require("../fs/requireJson");
/**
 * Resolves a package hosted on the local filesystem
 */
function resolveLocal(spec, opts) {
    return __awaiter(this, void 0, void 0, function* () {
        const dependencyPath = path_1.resolve(opts.root, spec.spec);
        if (dependencyPath.slice(-4) === '.tgz' || dependencyPath.slice(-7) === '.tar.gz') {
            const name = getTarballName_1.default(dependencyPath);
            const resolution = {
                type: 'tarball',
                id: createLocalPkgId(name, dependencyPath),
                tarball: `file:${dependencyPath}`,
            };
            return { resolution };
        }
        const localPkg = yield requireJson_1.default(path_1.resolve(dependencyPath, 'package.json'));
        const resolution = {
            type: 'directory',
            id: createLocalPkgId(localPkg.name, dependencyPath),
            root: dependencyPath,
        };
        return { resolution };
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = resolveLocal;
function createLocalPkgId(name, dependencyPath) {
    return 'local/' + encodeURIComponent(dependencyPath);
}
//# sourceMappingURL=local.js.map