"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const getTarballName_1 = require("./getTarballName");
const crypto = require("crypto");
/**
 * Resolves a 'remote' package.
 *
 * @example
 *     pkg = {
 *       raw: 'http://registry.npmjs.org/is-array/-/is-array-1.0.1.tgz',
 *       scope: null,
 *       name: null,
 *       rawSpec: 'http://registry.npmjs.org/is-array/-/is-array-1.0.1.tgz',
 *       spec: 'http://registry.npmjs.org/is-array/-/is-array-1.0.1.tgz',
 *       type: 'remote' }
 *     resolveTarball(pkg)
 */
function resolveTarball(spec, opts) {
    return __awaiter(this, void 0, void 0, function* () {
        const name = getTarballName_1.default(spec.rawSpec);
        const resolution = {
            type: 'tarball',
            id: name + '#' + hash(spec.rawSpec),
            tarball: spec.rawSpec,
        };
        return { resolution };
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = resolveTarball;
function hash(str) {
    const hash = crypto.createHash('sha1');
    hash.update(str);
    return hash.digest('hex');
}
//# sourceMappingURL=tarball.js.map