"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const requireJson_1 = require("./fs/requireJson");
const writePkg = require("write-pkg");
const sortedObject = require("sorted-object");
function save(pkgJsonPath, installedPackages, saveType, useExactVersion) {
    return __awaiter(this, void 0, void 0, function* () {
        // Read the latest version of package.json to avoid accidental overwriting
        const packageJson = yield requireJson_1.ignoreCache(pkgJsonPath);
        packageJson[saveType] = packageJson[saveType] || {};
        installedPackages.forEach(dependency => {
            const semverCharacter = useExactVersion ? '' : '^';
            packageJson[saveType][dependency.pkg.name] = semverCharacter + dependency.pkg.version;
        });
        packageJson[saveType] = sortedObject(packageJson[saveType]);
        return writePkg(pkgJsonPath, packageJson);
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = save;
//# sourceMappingURL=save.js.map